=== debian/changelog ===
nss (3.14.1-0ckbi1.93ubuntu.0.12.10.1) quantal-security; urgency=low

  * New upstream release. Dropped the following patches:
    - debian/patches/90_realpath.patch (included upstream)
    - debian/patches/91_build_pwdecrypt.patch (included upstream)
    - debian/patches/96_NSS_VersionCheck.patch (included upstream)
    - debian/patches/98_fix_header_error.patch (included upstream)
    - debian/patches/protect-against-calls-before-nss_init.patch (included
      upstream)
    - debian/patches/CVE-2012-0441.patch (included upstream)
  * debian/patches/38_hurd.patch: refresh
  * debian/patches/38_kbsd.patch: refresh/update based on Debian
  * debian/patches/80_security_tools.patch: refresh
  * debian/patches/85_security_load.patch: refresh
  * debian/patches/95_add_spi+cacert_ca_certs.patch: updated
  * debian/patches/97_SSL_RENEGOTIATE_TRANSITIONAL.patch: refresh
  * debian/patches/lower-dhe-priority.patch: refresh/update based on Debian
  * SECURITY UPDATE: distrust improperly issued TURKTRUST intermediate CAs
    - debian/patches/94_ckbi-1.9.patch: update to CKBI 1.93 by using
      mozilla/security/nss/lib/ckfw/builtins/certdata.txt from upstream and
      updating mozilla/security/nss/lib/ckfw/builtins/nssckbi.h. Apply this
      before 95_add_spi+cacert_ca_certs.patch since it keeps this patch clean
      and underscores that SPI and CACERT are not part of upstream Roots.
    - CVE-2013-0743
  * debian/libnss3.symbols: add NSS_3.13.2, NSS_3.14, NSS_3.14.1, and
    NSSUTIL_3.14 symbols

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 10 Jan 2013 16:41:16 -0600

nss (3.13.1.with.ckbi.1.88-1ubuntu7) quantal-proposed; urgency=low

  * SECURITY UPDATE: denial of service in QuickDER decoder
    - debian/patches/CVE-2012-0441.patch: properly handle zero-length basic
      constraints and zero-length fields in
      nss/mozilla/security/nss/lib/softoken/legacydb/keydb.c,
      nss/mozilla/security/nss/lib/softoken/legacydb/lgcreate.c,
      nss/mozilla/security/nss/lib/softoken/legacydb/lowkey.c,
      nss/mozilla/security/nss/lib/softoken/legacydb/lowkeyti.h,
      nss/mozilla/security/nss/lib/util/quickder.c.
    - CVE-2012-0441

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Aug 2012 10:57:28 -0400
