## nss 3.14.1.with.ckbi.1.93

=== debian/changelog ===
nss (2:3.14.1.with.ckbi.1.93-1ubuntu1) raring-proposed; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - rules: Include libnssb.a and libnssckfw.a in the -dev package.

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 14 Jan 2013 15:35:48 -0600

nss (2:3.14.1.with.ckbi.1.93-1) unstable; urgency=low

  * New upstream release.
    - Explicitly distrust two intermediate CA certificates mis-issued by
      TURKTRUST.
  * debian/patches/95_add_spi+cacert_ca_certs.patch: Refreshed.

 -- Mike Hommey <glandium@debian.org>  Fri, 04 Jan 2013 11:16:33 +0100

nss (2:3.14.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: Removed patches applied upstream, and refreshed
    the others.
  * debian/libnss3.symbols: Updated for new symbols.

 -- Mike Hommey <glandium@debian.org>  Sun, 23 Dec 2012 17:40:21 +0100

nss (2:3.14-2) unstable; urgency=low

  * debian/nss-config.in: Fix nss-config when version is in the x.y form
    instead of x.y.z.

 -- Mike Hommey <glandium@debian.org>  Fri, 07 Dec 2012 17:07:05 +0100

nss (2:3.14-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - rules: Include libnssb.a and libnssckfw.a in the -dev package.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 27 Nov 2012 18:19:23 +0200

nss (2:3.14-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: Removed patches applied upstream, and refreshed
    the others.
  * debian/libnss3.symbols: Updated for new symbols.

 -- Mike Hommey <glandium@debian.org>  Thu, 01 Nov 2012 10:37:39 +0100

nss (2:3.13.6-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Use xz compression for binary packages.
    Thanks Ansgar Burchardt. Closes: #683835.

 -- Mike Hommey <glandium@debian.org>  Fri, 31 Aug 2012 09:56:53 +0200

nss (2:3.13.5-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 15 Jun 2012 09:40:00 +0200

nss (2:3.13.4-3) unstable; urgency=low

  * debian/rules: Skip epoch when getting upstream version number.

 -- Mike Hommey <glandium@debian.org>  Sun, 20 May 2012 07:36:11 +0200

nss (2:3.13.4-2) unstable; urgency=low

  * debian/control, debian/libnss3*, debian/rules,
    mozilla/security/coreconf/*, mozilla/security/nss/lib/*/manifest.mn:
    Move to unversioned library. ABI compatibility is ensured upstream, and
    the SO version, if it needed a change at any time, would be a change in
    the library name. There is no reason to keep making compatibility more
    difficult with other distros and upstream binary releases. While previous
    versions were one-way compatible (binaries built against other distros or
    upstream nspr could work on Debian), this approach works both ways.
  * debian/control:
    - Bump Standards-Version to 3.9.3.0. No changes required.
    - Force to build against libnspr4-dev >= 2:4.9
  * Removed unapplied patches.
  * Adding an epoch to match the old libnss3 package that used to be in
    the Debian archive.

 -- Mike Hommey <glandium@debian.org>  Thu, 17 May 2012 09:45:36 +0200

nss (3.13.4-1) unstable; urgency=low

  * New upstream release.
    - Changed __GNUC_MINOR__ use in pkcs11n.h. Closes: #650319.
  * mozilla/security/nss/cmd/certcgi/certcgi.c,
    mozilla/security/nss/cmd/digest/digest.c,
    mozilla/security/nss/cmd/signver/pk7print.c: Import patch from Moritz
    Muehlenhoff for hardened format strings.
  * debian/make.mk, debian/rules, debian/control: Enable hardening.
    Closes: #657325.
  * debian/libnss3-1d.lintian-overrides.in, debian/rules: Use wildcards in
    lintian override. Closes: #670013.
  * debian/compat, debian/control: Bump debian/compat to 9. This has the
    effect of using build-id for debug files, thus Closes: #670015.
  * debian/libnss3-1d.symbols: Add symbols for /usr/lib/nss/ libraries.

 -- Mike Hommey <glandium@debian.org>  Sun, 29 Apr 2012 09:48:58 +0200
