=== debian/changelog ===
nss (2:3.14.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release with merged changes from Debian unstable for
    2:3.14.2-1. Remaining changes:
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - rules: Include libnssb.a and libnssckfw.a in the -dev package.
  * debian/libnss3.symbols: add NSS_3.14.3 symbols

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Mar 2013 13:37:33 -0500

nss (2:3.14.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump sqlite3 build dependency.
  * debian/rules: Avoid installing freebl, softokn, nssckbi and nssdbm in two
    places.
  * debian/libnss3-1d.lintian-overrides.in: Stop preprocessing, it has nothing
    to preprocess anymore.
  * debian/libnss3.lintian-overrides.in: Fix not to contain a reference to the
    libnss3-1d package.

 -- Mike Hommey <glandium@debian.org>  Fri, 15 Feb 2013 10:06:59 +0100
