=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,10 @@
 override_dh_auto_install: $(PREPROCESS_FILES:.in=)
 	install -m 755 -d debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) \
-		$(DISTDIR)/lib/*.so
+		$(DISTDIR)/lib/libnss3.so \
+		$(DISTDIR)/lib/libnssutil3.so \
+		$(DISTDIR)/lib/libsmime3.so \
+		$(DISTDIR)/lib/libssl3.so
 	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
 		$(DISTDIR)/lib/libfreebl3.so \
 		$(DISTDIR)/lib/libsoftokn3.so \
