## nss 3.14.5

=== debian/changelog ===
nss (2:3.14.5-1~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze-backports.

 -- intrigeri <intrigeri@debian.org>  Mon, 23 Dec 2013 13:48:11 +0100

nss (2:3.14.5-1) stable-security; urgency=low

  * New upstream release.
    - Fixes CVE-2013-5605.

 -- Mike Hommey <glandium@debian.org>  Sat, 16 Nov 2013 08:23:54 +0900

nss (2:3.14.4-1) stable-security; urgency=low

  * New upstream release.
    - Fixes CVE-2013-1739. Closes: #726473.

 -- Mike Hommey <glandium@debian.org>  Thu, 31 Oct 2013 13:51:57 +0900

nss (2:3.14.3-1) unstable; urgency=high

  * New upstream release.
    - Fixes TLS timing attack (luck 13). Closes: #699888.
  * debian/libnss3.symbols: Add NSS_3.14.3 symbol version.
  * debian/control: Unbump sqlite3 build dependency, 3.14.3 lifted the need
    for sqlite 3.7.15.

 -- Mike Hommey <glandium@debian.org>  Sun, 17 Mar 2013 15:01:06 +0100
