=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: nss
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.9), zlib1g-dev, libsqlite3-dev (>= 3.7.15)
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.9), zlib1g-dev, libsqlite3-dev (>= 3.3.9)
 Standards-Version: 3.9.3.0
 Homepage: http://www.mozilla.org/projects/security/pki/nss/
-XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git
+Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
+Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git
 
 Package: libnss3
 Architecture: any
