## nss 3.15.1

=== debian/changelog ===
nss (2:3.15.1-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. FFe: (LP: #1219279)
    Remaining changes:
    - control: Change Vcs-* to XS-Debian-Vcs-*.
    - rules: Include libnssb.a and libnssckfw.a in the -dev package.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Sep 2013 16:07:11 -0400

nss (2:3.15.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*:  Refresh patches.
  * debian/patches/lower-dhe-priority.patch: Removed, as it was only necessary
    for Iceweasel 3.5, which is long gone.

 -- Mike Hommey <glandium@debian.org>  Mon, 05 Aug 2013 14:41:14 +0900

nss (2:3.15-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Refresh patches and removed unused ones.
  * debian/rules: Adjusted to the new source layout.
  * debian/libnss3.symbols: Add NSS*_3.15 symbol versions.
  * debian/control: Bump nspr build dependency.

 -- Mike Hommey <glandium@debian.org>  Sat, 15 Jun 2013 19:23:12 +0900
