## nss 3.15.3.1

=== debian/changelog ===
nss (2:3.15.3.1-0ubuntu0.13.04.1) raring-security; urgency=low

  * SECURITY UPDATE: New upstream release (LP: #1263135)
    - Distrusts AC DG Tresor SSL CA

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Dec 2013 10:39:43 -0500

nss (2:3.15.3-0ubuntu0.13.04.1) raring-security; urgency=low

  * SECURITY UPDATE: New upstream release to fix multiple security issues
    and add TLSv1.2 support.
    - CVE-2013-1739
    - CVE-2013-1741
    - CVE-2013-5605
    - CVE-2013-5606
  * Adjusted packaging for 3.15.3:
    - debian/patches/*: refreshed.
    - debian/patches/lower-dhe-priority.patch: removed, no longer needed,
      was a workaround for an old version of firefox.
    - debian/libnss3.symbols: added new symbols.
    - debian/rules: updated for new source layout.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Nov 2013 14:22:44 -0500
